{ config, pkgs, system, inputs, ... }:

{
  home.username = "regent";
  home.homeDirectory = "/home/regent";

  catppuccin = {
    enable = true;
    flavor = "mocha";
    accent = "blue";
  };

  programs.waybar = {
    enable = true;
    settings = {
      mainBar = {
        layer = "top";
        position = "top";
        height = 30;
        output = [
          "HDMI-A-1"
          "DP-2"
        ];
        modules-left = [ "sway/workspaces" "sway/mode" "wlr/taskbar" ];
        modules-center = [ "sway/window" ];
        modules-right = [ "mpd" ];

        "sway/workspaces" = {
          disable-scroll = true;
          all-outputs = true;
        };
      };
    };
  };

  home.stateVersion = "25.05";
}