# hosts/valefar/configuration.nix (or default.nix)
{ config, lib, system, pkgs, modulesPath, inputs, ... }:

{
  imports = [
    # Host-specific hardware
    ./hardware.nix
    ./secrets.nix
    
    # Common modules shared across hosts
    ../../modules/common/system.nix
    ../../modules/common/users.nix
    ../../modules/common/services.nix

    # Desktop modules
    ../../modules/desktop/core.nix
    ../../modules/desktop/sway.nix
    
    # Services specific to this host
    #../../services/xyz.nix    

    # Common secrets
    #../../host-secrets.nix
  ];

  # pin host platform & microcode
  nixpkgs.hostPlatform               = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault
    config.hardware.enableRedistributableFirmware;

  networking.hostName = "focalor";
  networking.hostId = "84bdc587";
  
  #boot.supportedFilesystems = [ "zfs" ];
  #boot.kernelModules = [ "nct6775" "coretemp" ];

  #services.zfs.autoScrub.enable = true;
  #services.zfs.trim.enable = true;

  environment.systemPackages = with pkgs; [
    #lm_sensors
    code-server
  ];

  virtualisation.docker = {
    enable = true;
    enableOnBoot = true;
    package = pkgs.docker.override {
      buildGoModule = pkgs.buildGo123Module;
    };
  };
}
