{ config, pkgs, ... }:
{
  users.users.regent = {
    isNormalUser    = true;
    extraGroups     = [ "docker" "wheel" ];
    packages        = with pkgs; [ tree ];
  };

  programs.git = {
    enable = true;
    config = {
      user.name = "waveringana";
      user.email = "ana@nekomimi.pet";
      init = {
        defaultBranch = "main";
      };
    };
  };

  security.sudo.enable             = true;
  security.sudo.wheelNeedsPassword = false;
}

